%global momorel 4

Name:           perl-HTML-Summary
Version:        0.017
Release: %{momorel}m%{?dist}
Summary:        Module for generating a summary from a web page
License:        see "README"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTML-Summary/
Source0:        http://www.cpan.org/modules/by-module/HTML/HTML-Summary-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-HTML-Tree
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The HTML::Summary module produces summaries from the textual content of web
pages. It does so using the location heuristic, which determines the value
of a given sentence based on its position and status within the document;
for example, headings, section titles and opening paragraph sentences may
be favoured over other textual content. A LENGTH option can be used to
restrict the length of the summary produced.

%prep
%setup -q -n HTML-Summary-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*




%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/HTML/*
%{perl_vendorlib}/Lingua/*/*
%{perl_vendorlib}/Text/*
%{_mandir}/man3/*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.017-4m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.017-3m)
- use vendor

* Fri Nov  3 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.017-2m)
- delete dupclicate directory

* Tue Oct 24 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.017-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
